diff --git a/deskutils/kdepim-addons/pkg-plist b/deskutils/kdepim-addons/pkg-plist
index cfbfa1058ab7..64d6bd4dcbeb 100644
--- a/deskutils/kdepim-addons/pkg-plist
+++ b/deskutils/kdepim-addons/pkg-plist
@@ -869,7 +890,6 @@ share/locale/pt/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/pt/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/pt/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/pt/LC_MESSAGES/messageviewerplugins.mo
-share/locale/pt/LC_MESSAGES/pimeventsplugin.mo
 share/locale/pt/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/pt/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/pt_BR/LC_MESSAGES/cryptopageplugin.mo
@@ -895,7 +915,6 @@ share/locale/pt_BR/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/pt_BR/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/pt_BR/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/pt_BR/LC_MESSAGES/messageviewerplugins.mo
-share/locale/pt_BR/LC_MESSAGES/pimeventsplugin.mo
 share/locale/pt_BR/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/pt_BR/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/ro/LC_MESSAGES/cryptopageplugin.mo
@@ -930,7 +949,6 @@ share/locale/ru/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/ru/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/ru/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/ru/LC_MESSAGES/messageviewerplugins.mo
-share/locale/ru/LC_MESSAGES/pimeventsplugin.mo
 share/locale/ru/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/ru/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/se/LC_MESSAGES/kaddressbook_importexportplugins.mo
@@ -960,7 +978,6 @@ share/locale/sk/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sk/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/sk/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sk/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sk/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sk/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sk/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/sl/LC_MESSAGES/cryptopageplugin.mo
@@ -986,7 +1003,6 @@ share/locale/sl/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sl/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/sl/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sl/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sl/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sl/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sl/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/sq/LC_MESSAGES/kaddressbook_importexportplugins.mo
@@ -1009,7 +1025,6 @@ share/locale/sr/LC_MESSAGES/messageviewer_text_calendar_plugin.mo
 share/locale/sr/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sr/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sr/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sr/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sr/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sr/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/sr@ijekavian/LC_MESSAGES/cryptopageplugin.mo
@@ -1030,7 +1045,6 @@ share/locale/sr@ijekavian/LC_MESSAGES/messageviewer_text_calendar_plugin.mo
 share/locale/sr@ijekavian/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sr@ijekavian/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sr@ijekavian/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sr@ijekavian/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sr@ijekavian/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sr@ijekavian/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/cryptopageplugin.mo
@@ -1051,7 +1065,6 @@ share/locale/sr@ijekavianlatin/LC_MESSAGES/messageviewer_text_calendar_plugin.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/sr@latin/LC_MESSAGES/cryptopageplugin.mo
@@ -1072,7 +1085,6 @@ share/locale/sr@latin/LC_MESSAGES/messageviewer_text_calendar_plugin.mo
 share/locale/sr@latin/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sr@latin/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sr@latin/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sr@latin/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sr@latin/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sr@latin/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/sv/LC_MESSAGES/cryptopageplugin.mo
@@ -1098,15 +1110,33 @@ share/locale/sv/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/sv/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/sv/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/sv/LC_MESSAGES/messageviewerplugins.mo
-share/locale/sv/LC_MESSAGES/pimeventsplugin.mo
 share/locale/sv/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/sv/LC_MESSAGES/webengineurlinterceptor.mo
+share/locale/ta/LC_MESSAGES/cryptopageplugin.mo
+share/locale/ta/LC_MESSAGES/customtoolsplugin.mo
 share/locale/ta/LC_MESSAGES/importwizard_plugins.mo
 share/locale/ta/LC_MESSAGES/kaddressbook_importexportplugins.mo
+share/locale/ta/LC_MESSAGES/kaddressbook_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_checkbeforedeleting_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_editor_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_editorconvertertext_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_editorgrammar_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_editorinit_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_editorsendcheck_plugins.mo
+share/locale/ta/LC_MESSAGES/kmail_plugins.mo
+share/locale/ta/LC_MESSAGES/kmailtransport_plugins.mo
 share/locale/ta/LC_MESSAGES/korganizer_plugins.mo
+share/locale/ta/LC_MESSAGES/messageviewer_application_gnupgwks_plugin.mo
+share/locale/ta/LC_MESSAGES/messageviewer_application_mstnef_plugin.mo
+share/locale/ta/LC_MESSAGES/messageviewer_bodypartformatter_pkpass.mo
+share/locale/ta/LC_MESSAGES/messageviewer_semantic_plugin.mo
 share/locale/ta/LC_MESSAGES/messageviewer_text_calendar_plugin.mo
 share/locale/ta/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
-share/locale/ta/LC_MESSAGES/pimeventsplugin.mo
+share/locale/ta/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
+share/locale/ta/LC_MESSAGES/messageviewerheaderplugins.mo
+share/locale/ta/LC_MESSAGES/messageviewerplugins.mo
+share/locale/ta/LC_MESSAGES/sieveeditor_plugins.mo
+share/locale/ta/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/tg/LC_MESSAGES/kaddressbook_importexportplugins.mo
 share/locale/tg/LC_MESSAGES/korganizer_plugins.mo
 share/locale/tg/LC_MESSAGES/messageviewer_text_calendar_plugin.mo
@@ -1138,7 +1168,6 @@ share/locale/tr/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/tr/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/tr/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/tr/LC_MESSAGES/messageviewerplugins.mo
-share/locale/tr/LC_MESSAGES/pimeventsplugin.mo
 share/locale/tr/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/tr/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/ug/LC_MESSAGES/cryptopageplugin.mo
@@ -1170,7 +1199,6 @@ share/locale/uk/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/uk/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/uk/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/uk/LC_MESSAGES/messageviewerplugins.mo
-share/locale/uk/LC_MESSAGES/pimeventsplugin.mo
 share/locale/uk/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/uk/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/uz/LC_MESSAGES/kaddressbook_importexportplugins.mo
@@ -1208,7 +1236,6 @@ share/locale/zh_CN/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/zh_CN/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/zh_CN/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/zh_CN/LC_MESSAGES/messageviewerplugins.mo
-share/locale/zh_CN/LC_MESSAGES/pimeventsplugin.mo
 share/locale/zh_CN/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/zh_CN/LC_MESSAGES/webengineurlinterceptor.mo
 share/locale/zh_TW/LC_MESSAGES/cryptopageplugin.mo
@@ -1234,22 +1261,7 @@ share/locale/zh_TW/LC_MESSAGES/messageviewer_text_vcard_plugin.mo
 share/locale/zh_TW/LC_MESSAGES/messageviewerconfiguresettingsplugins.mo
 share/locale/zh_TW/LC_MESSAGES/messageviewerheaderplugins.mo
 share/locale/zh_TW/LC_MESSAGES/messageviewerplugins.mo
-share/locale/zh_TW/LC_MESSAGES/pimeventsplugin.mo
 share/locale/zh_TW/LC_MESSAGES/sieveeditor_plugins.mo
 share/locale/zh_TW/LC_MESSAGES/webengineurlinterceptor.mo
-share/qlogging-categories5/kdepim-addons.categories
-share/qlogging-categories5/kdepim-addons.renamecategories
-share/qtcreator/templates/kmaileditorconvertertextplugins/CMakeLists.txt
-share/qtcreator/templates/kmaileditorconvertertextplugins/plugin.json.impl
-share/qtcreator/templates/kmaileditorconvertertextplugins/plugineditor.cpp
-share/qtcreator/templates/kmaileditorconvertertextplugins/plugineditor.h
-share/qtcreator/templates/kmaileditorconvertertextplugins/plugineditorinterface.cpp
-share/qtcreator/templates/kmaileditorconvertertextplugins/plugineditorinterface.h
-share/qtcreator/templates/kmaileditorconvertertextplugins/wizard.json
-share/qtcreator/templates/kmaileditorplugins/CMakeLists.txt
-share/qtcreator/templates/kmaileditorplugins/plugin.json.impl
-share/qtcreator/templates/kmaileditorplugins/plugineditor.cpp
-share/qtcreator/templates/kmaileditorplugins/plugineditor.h
-share/qtcreator/templates/kmaileditorplugins/plugineditorinterface.cpp
-share/qtcreator/templates/kmaileditorplugins/plugineditorinterface.h
-share/qtcreator/templates/kmaileditorplugins/wizard.json
+share/qlogging-categories6/kdepim-addons.categories
+share/qlogging-categories6/kdepim-addons.renamecategories
diff --git a/deskutils/kdepim-runtime/Makefile b/deskutils/kdepim-runtime/Makefile
index 5d7b808aff18..a0b449eba692 100644
--- a/deskutils/kdepim-runtime/Makefile
+++ b/deskutils/kdepim-runtime/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kdepim-runtime
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	4
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -14,27 +13,24 @@ LIB_DEPENDS=	libboost_date_time.so:devel/boost-libs \
 		libkolabxml.so:textproc/libkolabxml \
 		libsasl2.so:security/cyrus-sasl2 \
 		libxerces-c.so:textproc/xerces-c3 \
-		libqt5keychain.so:security/qtkeychain@qt5
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake:noninja compiler:c++11-lib gettext grantlee:5 kde:5 qca \
-		qt:5 shared-mime-info tar:xz xorg
+USES=		cmake:noninja compiler:c++11-lib gettext kde:6 qca qt:6 \
+		shared-mime-info tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons holidays i18n iconthemes \
-		itemmodels itemviews jobwidgets kcmutils kdav kdelibs4support \
-		kio kross notifications notifyconfig parts service solid \
-		sonnet textwidgets unitconversion wallet widgetsaddons \
-		windowsystem xmlgui \
+		itemmodels itemviews jobwidgets kcmutils kdav kio \
+		notifications notifyconfig parts service solid sonnet \
+		textwidgets unitconversion wallet widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicalendar akonadicontacts akonadimime \
-		akonadinotes akonadisearch calendarcore calendarutils contacts \
+		akonadisearch calendarcore calendarutils contacts \
 		gapi grantleetheme identitymanagement imap kontactinterface \
 		ldap libkdepim mailtransport mbox mime pimcommon pimtextedit \
 		syndication
-USE_QT=		concurrent core dbus declarative gui location network \
-		networkauth printsupport script speech webchannel webengine \
-		widgets xml xmlpatterns \
-		buildtools:build qmake:build
+USE_QT=		base networkauth
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/kdepim-runtime/distinfo b/deskutils/kdepim-runtime/distinfo
index 7c77ee3ce570..979b59628ecb 100644
--- a/deskutils/kdepim-runtime/distinfo
+++ b/deskutils/kdepim-runtime/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889437
-SHA256 (KDE/release-service/23.08.5/kdepim-runtime-23.08.5.tar.xz) = fe1b07d62f167bc168fc3a3590db0a7f7383687803a7d0da8b0c0e1b3ac577f7
-SIZE (KDE/release-service/23.08.5/kdepim-runtime-23.08.5.tar.xz) = 1869936
+TIMESTAMP = 1734460054
+SHA256 (KDE/release-service/24.12.0/kdepim-runtime-24.12.0.tar.xz) = 80f64309b75ab0be488eff3748143368ec661844f891ef28b3a916ac802a58a2
+SIZE (KDE/release-service/24.12.0/kdepim-runtime-24.12.0.tar.xz) = 1664668
